Package: org.codehaus.groovy.ast.stmt

## [Java] Class ExpressionStatement

- org.codehaus.groovy.ast.stmt.ExpressionStatement

-     public class ExpressionStatement
      extends Statement

  A simple statement such as a method call where the return value is ignored

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ExpressionStatement(Expression expression)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Expression` | `getExpression()`
    `` | `public String` | `getText()`
    `` | `public void` | `setExpression(Expression expression)`
    `` | `public String` | `toString()`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Statement` | `addStatementLabel, copyStatementLabels, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public ExpressionStatement(Expression expression)

  - ### Method Detail

    - #### public Expression getExpression()

    - #### @Override
      public String getText()

    - #### public void setExpression(Expression expression)

    - #### @Override
      public String toString()

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)